-- si el Pollaliti ha matado al otro, para la carrera
if ( Accion(ANI_SEL,"ANI_COMBO6") or Accion(ANI_SEL,"ANI_COMBO5") )
   and ( Accion(OTRO_GET_VIDA) <= 0 )
then
   Accion(SELECCIONA_ANI,"ANI_BASE1")
end
	
-- si esta agachado se queda al final de la animacion, no reinicia
if ( (not Accion(ANI_SEL,"ANI_DOWN") ) 
      or (not Accion(TECLADO_TEST,ACCIONBICHO,ACCION_DOWN) ) )
   and ( not Accion(ANI_SEL,"ANI_UP") )
   and ( not Accion(ANI_SEL,"ANI_LOSE3") )
   and ( not Accion(ANI_SEL,"ANI_LOSE2") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5") )   
   and ( not Accion(ANI_SEL,"ANI_LOSEFULL") )
then
	-- cuando termina la animacion se puede volver a golpear
   Accion(SET_GOLPEANDO,false)
   
   if Accion(OTRO_GET_VIDA) <= 0 then
      Accion(SELECCIONA_ANI,"ANI_WINFULL")
   else
      -- no vuelve a base
      if ( not Accion(ANI_SEL,"ANI_RIGHT") )
         and ( not Accion(ANI_SEL,"ANI_COMBO6_OUCH") )
         and ( not Accion(ANI_SEL,"ANI_LOSE1") )
         and ( not Accion(ANI_SEL,"ANI_COMBO6") )
      then
         Accion(SELECCIONA_ANI,"ANI_BASE1")
      end

      --EXPERIMENTAL: si cae al suelo atontado se levanta atontado
      if ( Accion(ANI_SEL,"ANI_LOSE1") )
      then
		Accion(SELECCIONA_ANI,"ANI_COMBO5_OUCH")
	  end
     
   end
		
	-- reinicia la animacion
   if Accion(ANI_SEL,"ANI_COMBO6") then
      Accion(GOTO_FRAME,1)
   else
      Accion(GOTO_FRAME,0)
   end
   
end

-- Cuenta el numero de veces que estunta antes de caer muerto
if Accion(ANI_SEL,"ANI_COMBO6_OUCH") then
   nVecesStunt = nVecesStunt +1
   if nVecesStunt > 5 then
      Accion(SET_VIDA, -1)
      Accion(SELECCIONA_ANI,"ANI_LOSE3")
   end
end

Accion(CALCULA_FLIP)
	